package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class DisconnectPacket extends Packet {

	static private final long serialVersionUID = Packets.Disconnect.ordinal();

	private final String reason;

	public DisconnectPacket(String reason) {
		this.reason = reason;
	}

	public String getReason() {
		return reason;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

}
